import express from 'express';
import { CharacterIsIngame } from './endpoints/character-is-ingame.rpc';
import { CharacterRefund } from './endpoints/refund.rpc';
import { CharacterSpawnItem } from './endpoints/spawn-item.rpc';
import { CharacterDeleteItem } from './endpoints/delete-item.rpc';
import { CharacterSpawnMoney } from './endpoints/spawn-money.rpc';
import { RefreshCompanySlots } from './endpoints/refresh-company-slots.rpc';
import { CharacterBulkIsIngame } from './endpoints/character-bulk-is-ingame.rpc';
const RpcRouterCharacter = express.Router();

RpcRouterCharacter.get('/is-ingame/:characterId', CharacterIsIngame);
RpcRouterCharacter.get('/refresh-company-slots/:characterId', RefreshCompanySlots);
RpcRouterCharacter.put('/refund/:characterId', CharacterRefund);
RpcRouterCharacter.post('/bulk-is-ingame', CharacterBulkIsIngame);
RpcRouterCharacter.put('/spawn-item/:characterId', CharacterSpawnItem);
RpcRouterCharacter.delete('/delete-item/:characterId', CharacterDeleteItem);
RpcRouterCharacter.put('/spawn-money/:characterId', CharacterSpawnMoney);

export default RpcRouterCharacter;
